// @source https://github.com/ChromeDevTools/devtools-frontend/blob/6b4f6d08b82f20773e11028e9bdb4c8a41c8f911/front_end/emulated_devices/module.json
module.exports = {
    'iPhone 4': {
        height: 480,
        width: 320,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPhone; CPU iPhone OS 7_1_2 like Mac OS X) AppleWebKit/537.51.2 (KHTML, like Gecko) Version/7.0 Mobile/11D257 Safari/9537.53'
    },
    'iPhone 5/SE': {
        height: 568,
        width: 320,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPhone; CPU iPhone OS 10_3_1 like Mac OS X) AppleWebKit/603.1.30 (KHTML, like Gecko) Version/10.0 Mobile/14E304 Safari/602.1'
    },
    'iPhone 6/7/8': {
        height: 667,
        width: 375,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1'
    },
    'iPhone 6/7/8 Plus': {
        height: 736,
        width: 414,
        dpr: 3,
        ua: 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1'
    },
    'iPhone X': {
        height: 812,
        width: 375,
        dpr: 3,
        ua: 'Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1'
    },
    'BlackBerry Z30': {
        height: 640,
        width: 360,
        dpr: 2,
        ua: 'Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.0.9.2372 Mobile Safari/537.10+'
    },
    'Nexus 4': {
        height: 640,
        width: 384,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; Android 4.4.2; Nexus 4 Build/KOT49H) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Nexus 5': {
        height: 640,
        width: 360,
        dpr: 3,
        ua: 'Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Nexus 5X': {
        height: 732,
        width: 412,
        dpr: 2.625,
        ua: 'Mozilla/5.0 (Linux; Android 8.0.0; Nexus 5X Build/OPR4.170623.006) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Nexus 6': {
        height: 732,
        width: 412,
        dpr: 3.5,
        ua: 'Mozilla/5.0 (Linux; Android 7.1.1; Nexus 6 Build/N6F26U) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Nexus 6P': {
        height: 732,
        width: 412,
        dpr: 3.5,
        ua: 'Mozilla/5.0 (Linux; Android 8.0.0; Nexus 6P Build/OPP3.170518.006) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Pixel 2': {
        height: 731,
        width: 411,
        dpr: 2.625,
        ua: 'Mozilla/5.0 (Linux; Android 8.0; Pixel 2 Build/OPD3.170816.012) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'Pixel 2 XL': {
        height: 823,
        width: 411,
        dpr: 3.5,
        ua: 'Mozilla/5.0 (Linux; Android 8.0.0; Pixel 2 XL Build/OPD1.170816.004) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'LG Optimus L70': {
        height: 640,
        width: 384,
        dpr: 1.25,
        ua: 'Mozilla/5.0 (Linux; U; Android 4.4.2; en-us; LGMS323 Build/KOT49I.MS32310c) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/%s Mobile Safari/537.36'
    },
    'Nokia N9': {
        height: 854,
        width: 480,
        dpr: 1,
        ua: 'Mozilla/5.0 (MeeGo; NokiaN9) AppleWebKit/534.13 (KHTML, like Gecko) NokiaBrowser/8.5.0 Mobile Safari/534.13'
    },
    'Nokia Lumia 520': {
        height: 533,
        width: 320,
        dpr: 1.5,
        ua: 'Mozilla/5.0 (compatible; MSIE 10.0; Windows Phone 8.0; Trident/6.0; IEMobile/10.0; ARM; Touch; NOKIA; Lumia 520)'
    },
    'Microsoft Lumia 550': {
        height: 360,
        width: 640,
        dpr: 2,
        ua: 'Mozilla/5.0 (Windows Phone 10.0; Android 4.2.1; Microsoft; Lumia 550) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2486.0 Mobile Safari/537.36 Edge/14.14263'
    },
    'Microsoft Lumia 950': {
        height: 640,
        width: 360,
        dpr: 4,
        ua: 'Mozilla/5.0 (Windows Phone 10.0; Android 4.2.1; Microsoft; Lumia 950) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2486.0 Mobile Safari/537.36 Edge/14.14263'
    },
    'Galaxy S III': {
        height: 640,
        width: 360,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; U; Android 4.0; en-us; GT-I9300 Build/IMM76D) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    },
    'Galaxy S5': {
        height: 640,
        width: 360,
        dpr: 3,
        ua: 'Mozilla/5.0 (Linux; Android 5.0; SM-G900P Build/LRX21T) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Mobile Safari/537.36'
    },
    'JioPhone 2': {
        height: 320,
        width: 240,
        dpr: 1,
        ua: 'Mozilla/5.0 (Mobile; LYF/F300B/LYF-F300B-001-01-15-130718-i;Android; rv:48.0) Gecko/48.0 Firefox/48.0 KAIOS/2.5'
    },
    'Kindle Fire HDX': {
        height: 1280,
        width: 800,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; U; en-us; KFAPWI Build/JDQ39) AppleWebKit/535.19 (KHTML, like Gecko) Silk/3.13 Safari/535.19 Silk-Accelerated=true'
    },
    'iPad Mini': {
        height: 1024,
        width: 768,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPad; CPU OS 11_0 like Mac OS X) AppleWebKit/604.1.34 (KHTML, like Gecko) Version/11.0 Mobile/15A5341f Safari/604.1'
    },
    'iPad': {
        height: 1024,
        width: 768,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPad; CPU OS 11_0 like Mac OS X) AppleWebKit/604.1.34 (KHTML, like Gecko) Version/11.0 Mobile/15A5341f Safari/604.1'
    },
    'iPad Pro': {
        height: 1366,
        width: 1024,
        dpr: 2,
        ua: 'Mozilla/5.0 (iPad; CPU OS 11_0 like Mac OS X) AppleWebKit/604.1.34 (KHTML, like Gecko) Version/11.0 Mobile/15A5341f Safari/604.1'
    },
    'Blackberry PlayBook': {
        height: 1024,
        width: 600,
        dpr: 1,
        ua: 'Mozilla/5.0 (PlayBook; U; RIM Tablet OS 2.1.0; en-US) AppleWebKit/536.2+ (KHTML like Gecko) Version/7.2.1.0 Safari/536.2+'
    },
    'Nexus 10': {
        height: 1280,
        width: 800,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; Android 6.0.1; Nexus 10 Build/MOB31T) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Safari/537.36'
    },
    'Nexus 7': {
        height: 960,
        width: 600,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; Android 6.0.1; Nexus 7 Build/MOB30X) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/%s Safari/537.36'
    },
    'Galaxy Note 3': {
        height: 640,
        width: 360,
        dpr: 3,
        ua: 'Mozilla/5.0 (Linux; U; Android 4.3; en-us; SM-N900T Build/JSS15J) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    },
    'Galaxy Note II': {
        height: 640,
        width: 360,
        dpr: 2,
        ua: 'Mozilla/5.0 (Linux; U; Android 4.1; en-us; GT-N7100 Build/JRO03C) AppleWebKit/534.30 (KHTML, like Gecko) Version/4.0 Mobile Safari/534.30'
    },
    'Laptop with touch': {
        height: 1280,
        width: 950,
        dpr: 1,
        ua: ''
    },
    'Laptop with HiDPI screen': {
        height: 1440,
        width: 900,
        dpr: 2,
        ua: ''
    },
    'Laptop with MDPI screen': {
        height: 1280,
        width: 800,
        dpr: 1,
        ua: ''
    }
};
